Bug 566120 - [abrt] crash in gedit-1:2.28.3-1.fc12
[abrt] crash in gedit-1:2.28.3-1.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:fd8c7746
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-17 05:55 EST by Lodegario Malpica
Modified: 2010-12-03 17:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:42:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (594 bytes, text/plain)
2010-02-17 05:55 EST, Lodegario Malpica
no flags Details

  None (edit)
Description Lodegario Malpica 2010-02-17 05:55:26 EST
abrt 1.0.6 detected a crash.

architecture: x86_64
cmdline: gedit /home/nespino/latex/Trab_Rosa/obj_h_z.tex
comment: In fedora 11, when you opened a .tex gedit automatically load the plugin. In fedora 12 you have to active the plugin and also the icon to compile latex - dvi, latex - ps doesn't appear
component: gedit
executable: /usr/lib64/gedit-2/plugins
kernel: 2.6.31.12-174.2.3.fc12.x86_64
package: gedit-1:2.28.3-1.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TBfd8c7746 dialog.py:583:_on_edit_snippet_clicked:TypeError: iter must be a GtkTreeIter

Traceback (most recent call last):
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/preferences/dialog.py", line 583, in _on_edit_snippet_clicked
    snippet = store.get_value(it, 2)
TypeError: iter must be a GtkTreeIter

Local variables in innermost frame:
button: <gtk.Button object at 0x1dd8550 (GtkButton at 0x1ef0020)>
it: None
store: <gtk.ListStore object at 0x1dd8500 (GtkListStore at 0x84a490)>
self: <GeditLaTeXPlugin.src.preferences.dialog.PreferencesDialog object at 0x1dd5c10>

How to reproduce
-----
1. Opening gedit > preferences > plugin > latex plugin
2.  After that select configure plugin > snippets > edit
3. Then the crash occurs
Comment 1 Lodegario Malpica 2010-02-17 05:55:28 EST
Created attachment 394707 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 17:54:39 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 17:42:14 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.